@echo off
rem Batch file Version: R3.1

set THISHWID=03D4

if exist check.exe goto IDCHECK
@echo Invalid update program
goto END

:IDCHECK
check /r=%THISHWID% /s=IAM /n=4 /g=0053 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END


:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
symcmos -USYMBOLIC.TXT
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
@echo Now reading BIOS update tool ...
symcmos -S

keychk > nul
if errorlevel 2 goto KBDERR
if errorlevel 1 goto FLASHP

phlash16 /mode=3 /mfg bios.wph
goto END

:FLASHP
@echo.
@echo System will be rebooted automatically
@echo if BIOS update is successfully completed.
phlash16 /mode=3 /P bios.wph
goto END

:BBFLASH
@echo Now reading BIOS update tool(overwrite BootBlock) ...
symcmos -S

keychk > nul
if errorlevel 2 goto KBDERR
if errorlevel 1 goto BBFLASHP

phlash16 /mode=3 /mfg bios.wph
REM phlash /a /mfg /b=platform.bb bios.rom
goto END

:BBFLASHP
@echo.
@echo System will be rebooted automatically
@echo if BIOS update is successfully completed.
phlash16 /mode=3 /P bios.wph
REM phlash /a /b=platform.bb /P bios.rom
goto END

:CHGERR
@echo cmoschg Error!
goto END

:KBDERR
@echo keychk Error!
goto END

:END